# Get-RASHALBStatus.md

## NAME

Get-RASHALBStatus

## SYNOPSIS

Retrieves the status for HALB Virtual Server based on the condition of the HALB Devices.

## SYNTAX

**Get-RASHALBStatus** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASHALBStatus** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the status for HALB Virtual Server based on the condition of the HALB Devices.

## PARAMETERS

## Id (uint)

The ID of the HALB Virtual Server.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name of the HALB Virtual Server.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID where the HALB Virtual Server resides.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[HALBVirtualServerStatus](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbvirtualserverstatus)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASHALBStatus

Get list of all the HALB Virtual Server statuses\
\*\*---------- EXAMPLE 2 ----------

Get-RASHALBStatus -Id 2

Get status for the HALB Virtual Server with ID 2\
\*\*---------- EXAMPLE 3 ----------

Get-RASHALBStatus -Name "HALB-VS" -SiteId 1

Get status for the HALB Virtual Server by name from specific site

## RELATED LINKS

* [Set-RASHALB](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rashalb)
* [Get-RASHALB](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalb)
* [New-RASHALB](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rashalb)
* [Remove-RASHALB](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rashalb)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalbstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
